Summary:       Tools to create anonymous, machine-friendly problem reports
Name:          satyr
Version:       0.42
Release:       2%{?dist}
License:       GPLv2+
URL:           https://github.com/abrt/satyr
Source0:       https://github.com/abrt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make automake gcc-c++ gdb libtool python3-devel
BuildRequires: elfutils-devel elfutils-libelf-devel binutils-devel
BuildRequires: pkgconfig rpm-devel json-c-devel gperf glib2-devel
Requires:      json-c glib2 >= 2.43.4     

%description
Satyr is a collection of low-level algorithms for program failure processing, analysis, 
and reporting supporting kernel space, user space, Python, and Java programs. Considering 
failure processing, it allows to parse failure description from various sources such as 
GDB-created stack traces, Python stack traces with a description of uncaught exception, 
and kernel oops message.

%package devel
Summary: Development libraries for satyr
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and header files for using satyr.

%package -n python3-satyr
Summary: Python 3 bindings for satyr
Requires: %{name} = %{version}-%{release}

%description -n python3-satyr
Python3 bindings for satyr.

%prep
%autosetup

%build
autoreconf
%configure --disable-static --disable-doxygen-docs
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%check
make check

%files
%license COPYING
%doc README.md NEWS
%{_bindir}/satyr
%{_libdir}/lib*.so.*
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files -n python3-satyr
%dir %{python3_sitearch}/%{name}
%{python3_sitearch}/%{name}/*

%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 0.42-2
- Rebuilt for elfutils

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.42-1
- Upgrade to version 0.42

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.39-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.39-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.39-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.39-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 6 2022 Wang Zhe <bessiewang@tencent.com> - 0.39-1
- initial build
